Package ch.qos.logback.core.pattern

# Class SpacePadder

java.lang.Object
ch.qos.logback.core.pattern.SpacePadder

public class SpacePadder extends Object

## Constructor Summary

Constructors
Constructor
Description
`SpacePadder()`

## Method Summary

Modifier and Type
Method
Description
`static final void`
`leftPad(StringBuilder buf, String s, int desiredLength)`
`static final void`
`rightPad(StringBuilder buf, String s, int desiredLength)`
`static final void`
`spacePad(StringBuilder sbuf, int length)`
Fast space padding method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpacePadder

public SpacePadder()

## Method Details

### leftPad

public static final void leftPad(StringBuilder buf, String s, int desiredLength)

### rightPad

public static final void rightPad(StringBuilder buf, String s, int desiredLength)

### spacePad

public static final void spacePad(StringBuilder sbuf, int length)
Fast space padding method.